# NQL countif()

The `countif()` function counts the number of rows that match specified criteria. It accepts extra arguments, the conditions that determine which rows to include. Provide one or more conditions using [bitwise operators](/platform/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-operators/nql-bitwise-operators.md).

The following query returns a ratio of poor calls. It includes two conditions that filter rows with either poor audio or poor video quality.

{% code overflow="wrap" lineNumbers="true" %}

```
collaboration.sessions during past 24h
| summarize ratio_of_poor_calls = countif(session.audio.quality = poor or session.video.quality = poor) / count() by connection_type
```

{% endcode %}

| Connection type | Ratio of poor calls |
| --------------- | ------------------- |
| Ethernet        | 0                   |
| Wi-Fi           | 0.01                |
| Cellular        | 0.13                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-functions/nql-countif.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
